Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http
Class HttpsPollingConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.tcp.TcpConnector
              org.mule.transport.http.HttpConnector
                  org.mule.transport.http.HttpsConnector
                      org.mule.transport.http.HttpsPollingConnector

All Implemented Interfaces:
  EventListener, javax.resource.spi.work.WorkListener, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, NamedObject, TlsDirectKeyStore, TlsDirectTrustStore, TlsIndirectKeyStore, TlsIndirectTrustStore, TlsProtocolHandler, Connectable, Connector

    public class HttpsPollingConnector

extends HttpsConnector

`HttpsPollingConnector` provides Secure http connectivity on top of what is already provided with the Mule `HttpPollingConnector`.

Field Summary

Fields inherited from class org.mule.transport.http.HttpsConnector
`HTTPS, LOCAL_CERTIFICATES, PEER_CERTIFICATES`

Fields inherited from class org.mule.transport.http.HttpConnector
`clientConnectionManager, COOKIE_SPEC_NETSCAPE, COOKIE_SPEC_RFC2109, DEFAULT_HTTP_GET_BODY_PARAM_PROPERTY, HTTP, HTTP_CONTEXT_PATH_PROPERTY, HTTP_COOKIE_SPEC_PROPERTY, HTTP_COOKIES_PROPERTY, HTTP_CUSTOM_HEADERS_MAP_PROPERTY, HTTP_DISABLE_STATUS_CODE_EXCEPTION_CHECK, HTTP_ENABLE_COOKIES_PROPERTY, HTTP_ENCODE_PARAMVALUE, HTTP_GET_BODY_PARAM_PROPERTY, HTTP_INBOUND_PROPERTIES, HTTP_METHOD_PROPERTY, HTTP_PARAMS_PROPERTY, HTTP_POST_BODY_PARAM_PROPERTY, HTTP_PREFIX, HTTP_REQUEST_PATH_PROPERTY, HTTP_REQUEST_PROPERTY, HTTP_STATUS_PROPERTY, HTTP_VERSION_PROPERTY`

Fields inherited from class org.mule.transport.tcp.TcpConnector
`CLIENT, DEFAULT_BACKLOG, DEFAULT_BUFFER_SIZE, DEFAULT_SO_LINGER, DEFAULT_SOCKET_TIMEOUT, KEEP_SEND_SOCKET_OPEN_PROPERTY, SERVER, TCP`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatcherPoolFactory, dispatchers, initialStateStopped, lifecycleManager, logger, muleContext, muleMessageFactory, name, numberOfConcurrentTransactedReceivers, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`HttpsPollingConnector(MuleContext context)`

Method Summary
`long` | `getPollingFrequency()`
`boolean` | `isCheckEtag()`
`boolean` | `isDiscardEmptyContent()`
`void` | `setCheckEtag(boolean checkEtag)`
`void` | `setDiscardEmptyContent(boolean discardEmptyContent)`
`void` | `setPollingFrequency(long pollingFrequency)`

Methods inherited from class org.mule.transport.http.HttpsConnector
`doInitialise, getClientKeyStore, getClientKeyStorePassword, getClientKeyStoreType, getKeyManagerAlgorithm, getKeyManagerFactory, getKeyPassword, getKeyStore, getKeyStorePassword, getKeyStoreType, getProtocol, getProtocolHandler, getProvider, getSecurityProviderFactory, getServerSocket, getSslHandshakeTimeout, getSslSocketFactory, getSslType, getTrustManagerAlgorithm, getTrustManagerFactory, getTrustStore, getTrustStorePassword, getTrustStoreType, isExplicitTrustStoreOnly, isRequireClientAuthentication, setClientKeyStore, setClientKeyStorePassword, setClientKeyStoreType, setExplicitTrustStoreOnly, setKeyManagerAlgorithm, setKeyPassword, setKeyStore, setKeyStorePassword, setKeyStoreType, setProtocolHandler, setProvider, setRequireClientAuthentication, setSecurityProviderFactory, setSslHandshakeTimeout, setSslType, setTrustManagerAlgorithm, setTrustManagerFactory, setTrustStore, setTrustStorePassword, setTrustStoreType`

Methods inherited from class org.mule.transport.http.HttpConnector
`doClientConnect, getClientConnectionManager, getCookieSpec, getProxyHostname, getProxyPassword, getProxyPort, getProxyUsername, getReceiverKey, getReceivers, isEnableCookies, normalizeUrl, registerListener, setClientConnectionManager, setCookieSpec, setEnableCookies, setProxyHostname, setProxyPassword, setProxyPort, setProxyUsername, setupClientAuthorization`

Methods inherited from class org.mule.transport.tcp.TcpConnector
`configureSocket, doConnect, doDisconnect, doDispose, doStart, doStop, getBacklog, getBufferSize, getClientSoTimeout, getDispatchers, getKeepAliveMonitor, getKeepAliveTimeout, getOutputStream, getReceiveBacklog, getReceiveBufferSize, getSendBufferSize, getServerSocketFactory, getServerSoTimeout, getSocket, getSocketFactory, getSocketSoLinger, getTcpProtocol, isKeepAlive, isKeepSendSocketOpen, isResponseEnabled, isReuseAddress, isSendTcpNoDelay, setBacklog, setBufferSize, setClientSoTimeout, setDispatcherFactory, setKeepAlive, setKeepAliveTimeout, setKeepSendSocketOpen, setReceiveBacklog, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSendTcpNoDelay, setServerSocketFactory, setServerSoTimeout, setSocketFactory, setSocketSoLinger, setTcpProtocol, setTimeout`

Methods inherited from class org.mule.transport.AbstractConnector
`clearDispatchers, clearRequesters, configureDispatcherPool, connect, createDispatcherMessageProcessor, createMuleMessageFactory, createReceiver, createScheduler, destroyReceiver, disconnect, dispose, disposeReceivers, disposeWorkManagers, doUnregisterListener, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultExchangePattern, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherPoolFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getInboundExchangePatterns, getLifecycleState, getMaxDispatchersActive, getMaxRequestersActive, getMaxTotalDispatchers, getMuleContext, getMuleMessageFactory, getName, getNumberOfConcurrentTransactedReceivers, getOutboundExchangePatterns, getOutputStream, getReceiver, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getReplyToHandler, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isInitialised, isInitialStateStopped, isStarted, isStopped, isValidateConnections, lookupReceiver, registerSupportedMetaProtocol, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, setConnected, setCreateMultipleTransactedReceivers, setDispatcherPoolFactory, setDispatcherPoolMaxWait, setDispatcherPoolWhenExhaustedAction, setDispatcherThreadingProfile, setDynamicNotification, setInitialStateStopped, setMaxDispatchersActive, setMaxRequestersActive, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterPoolMaxWait, setRequesterPoolWhenExhaustedAction, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, shutdownScheduler, start, startAfterConnect, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpsPollingConnector

    public HttpsPollingConnector(MuleContext context)

Method Detail

### isDiscardEmptyContent

    public boolean isDiscardEmptyContent()

### setDiscardEmptyContent

    public void setDiscardEmptyContent(boolean discardEmptyContent)

### getPollingFrequency

    public long getPollingFrequency()

### setPollingFrequency

    public void setPollingFrequency(long pollingFrequency)

### isCheckEtag

    public boolean isCheckEtag()

### setCheckEtag

    public void setCheckEtag(boolean checkEtag)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.